Bug 78528 - RFE: Be able to extract networking info from existing OS
RFE: Be able to extract networking info from existing OS
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-11-25 02:24 EST by Need Real Name
Modified: 2014-03-16 22:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-11-26 16:09:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-11-25 02:24:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021016

Description of problem:
The current install works quite well for a lot of setups where the networking is
basically just using DHCP. However, in a fraction of the cases, the users are
sitting on a configuration that requires a static IP address, or a dialup
configuration that involves a particular access number, etc. Such users (and I
am thinking of Desktop users here mostly) often have another OS installation
already working as far as networking goes.

In such cases, it would be incredibly nice (and quite impressive) if the
installation program would be smart enough to parse the existing settings and
present them as the defaults for the new installation. 

Realistically speaking, this probably involves writing some scripts that use a
Win9x/NT/XP registry parser to recognize certain very common configurations and
to pull the relevant information out. Of course, it would be great if it could
extract such info from other *nix installations (especially any past redhat
installs) as well. 

This would also go a long way for corporate users (or more likely, a department
or subgroup) that might want to switch their desktop users to GNU/Linux. From
what I have seen, asking lay users to enter in IP addresses or dialup numbers by
hand is quite off-putting and even scary for them.

This is of course, just the first and most obvious idea for what is a larger
program: make it easier for users to migrate. Other potential steps: bookmark
importation from IE, email-access information from
Outlook/Outlook-Express/Eudora, automatically finding and copying over directory
trees containing documents ("My Documents", etc.), as well as more sophisticated
aspects of networking like standards-based VPNs (bring over the IPSEC keys), etc....

Version-Release number of selected component (if applicable):

I selected anaconda, but maybe this is also a concern for kudzu. 

How reproducible:

Steps to Reproduce:
Do an install on a machine that already has a working windows install

Additional info:
Comment 1 Michael Fulbright 2002-11-26 16:09:08 EST
This is not something we are going to address in the installer.

Perhaps the distribution team may want to investigate having the configuration
tools have the ability to import information.
Comment 2 Bill Nottingham 2002-11-26 16:36:09 EST
I don't see this happening any time soon.

Note You need to log in before you can comment on or make changes to this bug.